GDBserver

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
ptid_t Class Reference

`#include "ptid.h"`

## Public Member Functions
| ptid_t () noexcept=default
constexpr | ptid_t (int pid, long lwp=0, long tid=0)
constexpr int | pid () const
constexpr bool | lwp_p () const
constexpr long | lwp () const
constexpr bool | tid_p () const
constexpr long | tid () const
constexpr bool | is_pid () const
constexpr bool | operator== (const ptid_t &other) const
constexpr bool | operator!= (const ptid_t &other) const
constexpr bool | matches (const ptid_t &filter) const

## Static Public Member Functions
static constexpr ptid_t | make_null ()
static constexpr ptid_t | make_minus_one ()

## Private Attributes
int | m_pid
long | m_lwp
long | m_tid

## Detailed Description

Definition at line 35 of file ptid.h.

## Constructor & Destructor Documentation

## ◆ ptid_t() [1/2]

ptid_t::ptid_t | ( |  | ) |
| default noexcept

Referenced by make_minus_one(), and make_null().

## ◆ ptid_t() [2/2]

constexpr ptid_t::ptid_t | ( | int | pid,
|  | long | lwp = `0`,
|  | long | tid = `0`
| ) |  |
| inline explicit

Definition at line 47 of file ptid.h.

## Member Function Documentation

## ◆ is_pid()

constexpr bool ptid_t::is_pid | ( |  | ) | const
| inline

Definition at line 80 of file ptid.h.

References m_lwp, m_tid, make_minus_one(), and make_null().

Referenced by matches(), process_serial_event(), and ptid_is_pid().

## ◆ lwp()

constexpr long ptid_t::lwp | ( |  | ) | const
| inline

Definition at line 63 of file ptid.h.

References m_lwp.

Referenced by find_lwp_pid(), linux_detach_lwp_callback(), lwpid_of(), and ptid_get_lwp().

## ◆ lwp_p()

constexpr bool ptid_t::lwp_p | ( |  | ) | const
| inline

Definition at line 58 of file ptid.h.

References m_lwp.

Referenced by ptid_lwp_p().

## ◆ make_minus_one()

static constexpr ptid_t ptid_t::make_minus_one | ( |  | ) |
| inline static

Definition at line 132 of file ptid.h.

References ptid_t().

Referenced by is_pid(), and matches().

## ◆ make_null()

static constexpr ptid_t ptid_t::make_null | ( |  | ) |
| inline static

Definition at line 127 of file ptid.h.

References ptid_t().

Referenced by is_pid().

## ◆ matches()

constexpr bool ptid_t::matches | ( | const ptid_t & | filter | ) | const
| inline

Definition at line 112 of file ptid.h.

References is_pid(), m_pid, make_minus_one(), and pid().

Referenced by find_thread(), not_stopped_callback(), ptid_match(), and status_pending_p_callback().

## ◆ operator!=()

constexpr bool ptid_t::operator!= | ( | const ptid_t & | other | ) | const
| inline

Definition at line 99 of file ptid.h.

## ◆ operator==()

constexpr bool ptid_t::operator== | ( | const ptid_t & | other | ) | const
| inline

Definition at line 90 of file ptid.h.

References m_lwp, m_pid, and m_tid.

## ◆ pid()

constexpr int ptid_t::pid | ( |  | ) | const
| inline

Definition at line 53 of file ptid.h.

References m_pid.

Referenced by arm_insert_point(), arm_remove_point(), find_lwp_pid(), find_thread(), for_each_thread(), get_thread_process(), linux_detach_lwp_callback(), matches(), pid_of(), prepare_to_access_memory(), process_serial_event(), ptid_get_pid(), regcache_invalidate(), visit_actioned_threads(), x86_dr_low_set_addr(), and x86_dr_low_set_control().

## ◆ tid()

constexpr long ptid_t::tid | ( |  | ) | const
| inline

Definition at line 73 of file ptid.h.

References m_tid.

Referenced by nto_find_new_threads(), and ptid_get_tid().

## ◆ tid_p()

constexpr bool ptid_t::tid_p | ( |  | ) | const
| inline

Definition at line 68 of file ptid.h.

References m_tid.

Referenced by ptid_tid_p().

## Member Data Documentation

## ◆ m_lwp

long ptid_t::m_lwp
| private

Definition at line 140 of file ptid.h.

Referenced by is_pid(), lwp(), lwp_p(), and operator==().

## ◆ m_pid

int ptid_t::m_pid
| private

Definition at line 137 of file ptid.h.

Referenced by matches(), operator==(), and pid().

## ◆ m_tid

long ptid_t::m_tid
| private

Definition at line 143 of file ptid.h.

Referenced by is_pid(), operator==(), tid(), and tid_p().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/common/ptid.h